/*
 *  header for chart.c
 */

#define MAXSETS         10
#define	MAXPOINTS	100
#define TWOPI          (3.141592653589793238*2.0)
#define SHADES		9    /* total number of shades */

/* #define PTPERIN	72.27 */
#define PTPERIN		1000
/* a "point" is now one thousanth of an inch.  All references to "pts"
  in this program refers to milli-inches.*/

#define BOTTOM  	0    /* for bar labels */
#define NEAR		1  

#include <stdio.h>
#include <ctype.h>
#include <string.h>
 
#define	Fprintf	(void) fprintf
#define	Fgets	(void) fgets
#define Sprintf (void) sprintf
#define Sscanf  (void) sscanf
#define Strcpy  (void) strcpy
    
extern double atof(), sin(), cos(), ceil();
extern char *index(), *malloc(), *strcpy(), *strtok();
 
extern FILE	*outfile;             /* Destination of graph info */
extern float y[MAXSETS][MAXPOINTS];   /* Data values */
extern char *msg[MAXSETS][MAXPOINTS]; /* Text which goes with data point */

extern double totalwidth,   /* Width of graph in inches */
	totalheight,       /* Total height of graph in inches */
	bar_thickness,      /* thickness of bars in points */
	sep,       	    /* Separation between bars in points */
	tsep,		    /* Separation of titles from graph, pts */
	radius,		    /* Circle radius in inches */
	offset;		    /* distance between bars in different sets,
			       in milli-inches (pts) */

extern double 	uperin,        /* scaling factors for axis labeling */
		inperu,
        	max,min;

extern int vertical,		    /* Draw vertical bar chart */
        interval,		    /* distance in units between tick marks. */
	npoints[MAXSETS],	    /* Number of (used) data points per set */
        shade[MAXSETS],		    /* shading pattern for each set */
	shadedensity[SHADES],       /* distance (mi) between lines a shading
				       pattern */
        label,
	tnpoints,		    /* Total number of (used) data points */
        nsets,                      /* Number of (used) sets */
	pie;			    /* Draw a pie chart */

